Description

Because in the workflows columns and line headers are included in the scrolling area, they are lost in the table area when there are a

lot of statuses (this is often the case).

It could be helpful to remove empty columns and lines, when Only display statuses that are used by this tracker is checked.

This will help to make the workflows quite more readable.

History

#1 - 2012-04-19 18:38 - Jérôme BATAILLE

- File RM_10717_worflow_hide_empty_lines_and_columns.patch added

Here is the corresponding patch agains more or less the 1.4 version.

#2 - 2012-04-19 18:39 - Jérôme BATAILLE

See my previous issue #10481

#3 - 2013-01-12 19:34 - Daniel Felix

Any news on this?

#4 - 2013-01-14 10:15 - Jérôme BATAILLE

Unfortunately this patch has not been reviewed by the core team.

It is very useful in our company, because the number of statuses lead to an almost unreadable page without this modification (wide page, where we

must use scrollbars).

#5 - 2013-08-26 16:27 - Jérôme BATAILLE

Hi, this patch is very useful for companies with a more or less extended workflow.

Can it be reviewed ?

If needed I can provide a patch towards the last stable Redmine.

#6 - 2014-05-14 14:43 - Jérôme BATAILLE

The view code has not changed for a while, so the patch is still OK.

Any chance that this patch can be integrated ?

Files

RM_10717_worflow_hide_empty_lines_and_columns.patch 2.38 KB 2012-04-19 Jérôme BATAILLE
